	var tsComponent_en = {
		template:`
		<div>
			<div v-show="if_show0">
				<div id="" style="display: inline-block;width: 100%;margin-top: 10px;">
				
					<div  style="float: left; width: 20%;background-color: #ECF5FF;">
					<el-select v-model="value" filterable clearable placeholder="Please Select Well name" style="width: 100%;">
						<el-option
						  v-for="item in options"
						  :key="item.value"
						  :label="item.label"
						  :value="item.value">
						</el-option>
					  </el-select>
					</div>
				
					<div style="float: left; width: 20%;background-color: #ECF5FF;">
					<el-input v-model="series_v" :placeholder="h_series_v" clearable></el-input>
					</div>
					
					<div style="float: left; width: 20%;background-color: #ECF5FF;">
					<el-input v-model="instrument_id_v" :placeholder="h_instrument_id_v" clearable></el-input>
					</div>
					
					<div style="float: left;margin-left: 5px;">
					<el-button id ="bt_search" plain type="primary" icon="el-icon-search" @click="getTs(value)">Search</el-button>
					</div>
					
					<div style="float: left; margin-left: 5px;">
						<el-button id ="bt_export" plain type="primary" icon="el-icon-document" @click="exportTs()">Export</el-button>
					</div>
									
				</div>
				<div class="span">
					<el-table
					:data="tableData"
					style="width: 100%"
					:height="tHeight"
					:cell-style="{background:'#304156'}"
					border
					>
						<el-table-column
							prop="wellname"
							label="Well Name"
							width="200"
							:show-overflow-tooltip="true">
						</el-table-column>
						<el-table-column
							prop="series"
							label="Instrument Series No."
							width="160">
						</el-table-column>
						<el-table-column
							prop="instrument_id"
							label="Instrument Serial No."
							width="160">
						</el-table-column>
						<!--
						<el-table-column
							prop="temp_section"
							label="温度区间(℃)"
							width="100">
						</el-table-column>
						
						<el-table-column
							prop="work_time"
							label="工作时长"
							width="150">
						</el-table-column>-->
						<el-table-column
						      label="Operation"
						      width="100">
						      <template slot-scope="scope">
						       <el-button @click="showTsDetails(scope.row)" type="text" size="medium">Details</el-button>
						      </template>
						    </el-table-column>
						
					</el-table>
				</div>
				
				<div class="block">
				    <span class="demonstration" style="background-color: #ECF5FF;"></span>
				    <el-pagination
				      @size-change="handleSizeChange"
				      @current-change="handleCurrentChange"
				      :current-page="currentPage"
				      :page-sizes="[50,100, 200, 300]"
				      :page-size="pagesize"
				      layout="total, sizes, prev, pager, next, jumper"
				      :total="recordTotal" style="background-color: #ECF5FF;">
				    </el-pagination>
				</div>
			</div>
			<div v-show="if_show" style="text-align: center; width: 100%;;font-size: 14px;">
			  <el-tag type="warning" style="width: 100%;height: 50px;font-size: 14px;">The user does not have permission for this menu!</el-tag>
			</div>
			
			<el-dialog
			  title="Temperature Unit"
			  :visible.sync="dialogVisible"
			  width="30%"
			  >
			  <template>
			    <el-radio v-model="radio" label="1" >℃</el-radio>
			    <el-radio v-model="radio" label="2" >℉</el-radio>
			  </template>
			  <span slot="footer" class="dialog-footer">
			    <el-button @click="dialogVisible = false">取 消</el-button>
			    <el-button type="primary" @click="export_ts">确 定</el-button>
			  </span>
			</el-dialog>
		</div>
		`,
	  data(){
		  // 获取当前屏幕的分辨率
		  let screenW = window.screen.width;
		  let screenH = window.innerHeight;
		  console.log("screen width:",screenW);
		  console.log("screen height:",screenH);
		  return {
			tHeight:screenH-192,
			tableData: [],
			currentPage: 1,
			pagesize:50,
			recordTotal:0,
			options: [],
			value: '',
			series_v:"",
			instrument_id_v:"",
			h_series_v:"Please Input Series No.",
			h_instrument_id_v:"Please Input Serial No.",
			
			if_show0:false,
			if_show:false,
			
			dialogVisible:false,
			radio:"1",
		  }
		},
		mounted() {
			if (localStorage.getItem("level")==4) {
				this.$data.if_show = true;
				return;
			}
			this.$data.if_show0= true;
			
			var _this = this;
			
			axios.post('/deescloud/getWellNames',{
				opuser:localStorage.getItem("online_user"),
				opuser_uuid:localStorage.getItem("uuid"),
			})
			  .then(function (response) {
			    console.log(response.data);
				_this.$data.options = response.data;
			  })
			  .catch(function (error) {
			    console.log(error);
			  });
			  
			var objs;
			axios.post('/deescloud/getts', {
				opuser:localStorage.getItem("online_user"),
				opuser_uuid:localStorage.getItem("uuid"),
				series:this.$data.series_v,
				instrument_id:this.$data.instrument_id_v,
				wellname: this.$data.value,
				index: this.$data.currentPage,
				count: this.$data.pagesize
			})
			.then(function (response) {
				console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
				
				console.log(objs);
			})
			.catch(function (error) {
				console.log(error);
			});
		},
	methods: {
		export_ts(){
			this.$data.dialogVisible =false;
			document.getElementById("bt_export").blur();
			
			var _this = this;
			
			var filename = '';
			
			if (this.$data.value == "") {
				//filename = '全部井-仪器温度区间信息统计';
				filename = 'temperature range information';
			}else{
				filename = _this.$data.value+'-temperature range information';
			}
			
			axios.post('deescloud/exportts_en',{
				opuser:localStorage.getItem("online_user"),
				opuser_uuid:localStorage.getItem("uuid"),
				wellname: _this.$data.value,
				series:this.$data.series_v,
				instrument_id:this.$data.instrument_id_v,
				t_type:this.$data.radio,
			},
			).then(function (response) {
				console.log(response.data);
				var fileid = response.data.fileId;
				
				var downUrl = 'file/'+fileid;
				downloadUrl(filename+".csv",downUrl);
			})
			.catch(function (error) {
				console.log(error);
			});
		},
		
		showTsDetails(row){
			var url = 'sts-en.html?id='+row.wellname+'&sid='+row.series+'&iid='+row.instrument_id;
			url = encodeURI(url);
			window.open(url, "");
		},
		
		exportTs(){
			//this.$data.dialogVisible =true;
			this.export_ts();
			return;
		},

		getTs(_search_name){
			document.getElementById("bt_search").blur();
			
			this.$data.currentPage=1;
			
			var _this = this;
			
			var objs;
			axios.post('/deescloud/getts', {
				opuser:localStorage.getItem("online_user"),
				opuser_uuid:localStorage.getItem("uuid"),
				series:this.$data.series_v,
				instrument_id:this.$data.instrument_id_v,
				wellname: _search_name,
				index: this.$data.currentPage,
				count: this.$data.pagesize
			  })
			  .then(function (response) {
				console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
			  })
			  .catch(function (error) {
				console.log(error);
			  });
		},
		  
		handleSizeChange(val) {
			  this.$data.pagesize = val;
			  this.$data.currentPage = 1;
			  var _this = this;
			  
			  var objs;
			  axios.post('/deescloud/getts', {
				  opuser:localStorage.getItem("online_user"),
				  opuser_uuid:localStorage.getItem("uuid"),
					series:this.$data.series_v,
					instrument_id:this.$data.instrument_id_v,
					wellname: this.$data.value,
					index: this.$data.currentPage,
					count: this.$data.pagesize
				})
				.then(function (response) {
				  console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
				})
				.catch(function (error) {
				  console.log(error);
				});
		},
		handleCurrentChange(val) {
		  this.$data.currentPage = val;
		  
		  var _this = this;
		  
		  var objs;
		  axios.post('/deescloud/getts', {
			  opuser:localStorage.getItem("online_user"),
			  opuser_uuid:localStorage.getItem("uuid"),
					series:this.$data.series_v,
					instrument_id:this.$data.instrument_id_v,
					wellname: this.$data.value,
					index: this.$data.currentPage,
					count: this.$data.pagesize
				})
				.then(function (response) {
				  console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
				})
				.catch(function (error) {
				  console.log(error);
				});
		},
		
		flexColumnWidth(str, tableData, flag = 'max') {
		  // str为该列的字段名(传字符串);tableData为该表格的数据源(传变量);
		  // flag为可选值，可不传该参数,传参时可选'max'或'equal',默认为'max'
		  // flag为'max'则设置列宽适配该列中最长的内容,flag为'equal'则设置列宽适配该列中第一行内容的长度。
		  
		  let maxContext = new Array();
		  
		  str = str + ''
		  let columnContent = ''
		  if (!tableData || !tableData.length || tableData.length === 0 || tableData === undefined) {
		    return '120px'
		  }
		  if (!str || !str.length || str.length === 0 || str === undefined) {
		    return '120px'
		  }
		  if (flag === 'equal') {
		    // 获取该列中第一个不为空的数据(内容)
		    for (let i = 0; i < tableData.length; i++) {
		      if (tableData[i][str].length > 0) {
		        // console.log('该列数据[0]:', tableData[0][str])
		        columnContent = tableData[i][str]
		        break
		      }
		    }
		  } else {
		    // 获取该列中最长的数据(内容)
		    let index = 0
		    for (let i = 0; i < tableData.length; i++) {
		      if (tableData[i][str] === null) {
		        return
		      }
		      const now_temp = tableData[i][str] + ''
		      const max_temp = tableData[index][str] + ''
		      if (now_temp.length >= max_temp.length) {
		        index = i
		      }
		    }
		    columnContent = tableData[index][str]
			
			maxContext.push(columnContent);
		  }
		  // console.log('该列数据[i]:', columnContent)
		  // 以下分配的单位长度可根据实际需求进行调整
		  
		  //console.log(columnContent);
		  let max_flex_width = 0
		  
		  for (let i = 0; i < maxContext.length; i++) {
			let flexWidth = 0;
		  	for (const char of maxContext[i]) {
		  	  if ((char >= 'A' && char <= 'Z') || (char >= 'a' && char <= 'z')) {
		  	    // 如果是英文字符，为字符分配8个单位宽度
		  	    flexWidth += 8
		  	  } else if (char >= '\u4e00' && char <= '\u9fa5') {
		  	    // 如果是中文字符，为字符分配15个单位宽度
		  	    flexWidth += 15
		  	  } else {
		  	    // 其他种类字符，为字符分配8个单位宽度
		  	    flexWidth += 8
		  	  }
		  	}
			
			if (flexWidth>max_flex_width) {
				max_flex_width = flexWidth;
				console.log(maxContext[i]);
			}
		  }
		  
		  if (max_flex_width < 120) {
		    // 设置最小宽度
		    max_flex_width = 120
		  }
			if (max_flex_width > 300) {
			 // 设置最大宽度
			 max_flex_width = 300
			}
		  
		  //flexWidth = flexWidth;//20-padding
		  console.log("max_flex_width:",max_flex_width);
		  return max_flex_width + 'px'
		},
	  }
	}
			